Skip to main content
`Ctrl`+`K`

# numpy.ma.concatenate

ma.concatenate(arrays, axis=0)

  Concatenate a sequence of arrays along the given axis.

  Parameters:
    arrays sequence of array_like

      The arrays must have the same shape, except in the dimension corresponding to axis (the first, by default).

    axis int, optional

      The axis along which the arrays will be joined. Default is 0.

  Returns:
    result MaskedArray

      The concatenated array with any masked entries preserved.

  See also

  `numpy.concatenate`

    Equivalent function in the top-level NumPy module.

  Examples

      >>> import numpy as np
      >>> import numpy.ma as ma
      >>> a = ma.arange(3)
      >>> a[1] = ma.masked
      >>> b = ma.arange(2, 5)
      >>> a
      masked_array(data=[0, --, 2],
                   mask=[False,  True, False],
             fill_value=999999)
      >>> b
      masked_array(data=[2, 3, 4],
                   mask=False,
             fill_value=999999)
      >>> ma.concatenate([a, b])
      masked_array(data=[0, --, 2, 2, 3, 4],
                   mask=[False,  True, False, False, False, False],
             fill_value=999999)